Revoke Project API Key
DELETEhttps://api.confident-ai.com/v1/projects/{projectId}/api-keys/{apiKeyId}
Permanently revokes a project-scoped API key. This action cannot be undone.
curl -X DELETE "https://api.confident-ai.com/v1/projects/{projectId}/api-keys/{apiKeyId}" \
-H "CONFIDENT_API_KEY: <ORGANIZATION-API-KEY>"{
"success": true,
"data": {
"id": 34,
"deleted": true
}
}Headers
CONFIDENT_API_KEYstringRequiredThe organization API key for your Confident AI organization.
Path parameters
projectIdstringRequiredThe unique identifier of the project.
apiKeyIdintegerRequiredThe unique identifier of the API key.
Response
successbooleanIndicates if the request was successful
dataobjectShow 2 propertiesHide 2 properties
idintegerID of the revoked API key
deletedbooleanAlways
truewhen the key was revoked
Built byConfident AI